.abajora-cart {
    font-family: 'ivar-display', serif;

    .slider {
        height: 50vh;

        & .slider-left {
            margin-top: 120px;

            @media (max-width: 768px) {
                font-size: 70px;
            }
        }
    }

    & .content {
        padding: 0 15px;

        h2::before,
        h2,
        hr {
            display: none;
        }

        .wc-block-cart__empty-cart__title {
            display: block;
            font-size: 40px;
            margin-bottom: 20px;
        }

        & .wc-block-grid__products {
            display: flex;
            flex-wrap: wrap;
            gap: 25px 10px;
            justify-content: center;

            /* لو فيها عنصر فقط */
            &:has(li:nth-child(1)):not(:has(li:nth-child(2))) {
                justify-content: center;
            }

            /* لو فيها عنصرين فقط */
            &:has(li:nth-child(2)):not(:has(li:nth-child(3))) {
                justify-content: center;
            }

            @media (min-width: 992px) {
                gap: 65px 4.76%;
            }

            & li {
                display: flex;
                flex-direction: column;
                margin: 0 !important;
                width: 100% !important;
                max-width: fit-content !important;
                flex: none !important;
                justify-content: start;
                align-items: start;

                @media (min-width: 768px) {
                    width: calc((100% - 20px) / 2) !important;
                }

                @media (min-width: 992px) {
                    width: calc((100% - 9.52%) / 3) !important;
                }

                & a {

                    .wc-block-grid__product-onsale {
                        display: none;
                    }

                    .wc-block-grid__product-title {
                        margin-bottom: 5px;
                        text-align: start;

                        font-size: 50px;
                        line-height: 50px;
                        font-weight: normal;
                        font-family: 'ivar-display', serif;

                        @media (max-width: 768px) {
                            text-align: center;
                            font-size: 40px;
                            line-height: 100%;
                            margin-bottom: 6px;
                        }

                        text-transform: capitalize;
                    }
                }

                & .price {

                    @media (max-width: 768px) {
                        text-align: start;
                    }

                    @media (min-width: 769px) {
                        margin: 0 0 12px;
                    }

                    font-size: 16px;

                    del {
                        display: none;
                    }
                }

                & .wc-block-grid__product-add-to-cart {
                    margin: 0;
                    width: 100%;

                    & a {
                        border: 1px solid var(--light-color);
                        background-color: transparent;
                        border-radius: 3px;
                        font-size: 15px;
                        padding: 16px 24px;
                    }

                    & a:hover {
                        background-color: var(--light-color);
                        color: var(--dark-color);
                    }
                }
            }

            & li:last-child {
                display: none;
            }
        }
    }


    & .wc-block-components-sidebar-layout {

        flex-direction: column;

        @media (min-width: 1200px) {
            flex-direction: row;
        }

        .wc-block-components-main {

            width: 100%;

            @media (min-width: 1200px) {
                width: 65%;
            }

            thead {
                .wc-block-cart-items__header-image {
                    text-align: start;
                }
            }

            table {
                .wc-block-cart-items__row {

                    @media (max-width: 600px) {
                        display: flex;
                        flex-direction: column;
                        align-items: flex-start;
                    }

                    .wc-block-cart-item__image {
                        width: 200px;

                        @media (max-width: 600px) {
                            margin-bottom: 10px;
                        }

                    }

                    .wc-block-cart-item__product {
                        width: 100%;

                        @media (min-width: 600px) {
                            width: calc(100% - 130px);
                        }

                        margin-left: auto;

                        & .wc-block-components-product-name {
                            font-size: 20px;

                            @media (min-width: 992px) {
                                font-size: 25px;
                            }

                            @media (min-width: 1200px) {
                                font-size: 35px;
                            }
                        }

                        & p {
                            font-size: 14px;

                            @media (min-width: 992px) {
                                font-size: 16px;
                            }
                        }

                        & .wc-block-cart-item__quantity {
                            display: flex;
                            justify-content: space-between;
                            align-items: center;

                            & .wc-block-components-quantity-selector {
                                margin: 0;

                            }
                        }
                    }
                }
            }
        }

        .wc-block-components-sidebar {
            width: 100%;
            padding: 0;

            & h2 {
                font-size: 18px;
            }

            & .wc-block-components-panel__button{
                font-size: 15px !important;
            }

            @media (min-width: 1200px) {
                width: 35%;
            }

            & .wc-block-components-checkout {
                padding: 0;
            }

            & .wc-block-components-button {
                background-color: transparent;
                border: 1px solid var(--light-color);
                border-radius: 3px;
                font-size: 18px;
                padding: 16px 24px;
            }

            & .wc-block-components-button:hover {
                background-color: var(--light-color);
                color: var(--dark-color);
            }
        }
    }
}

.wp-block-woocommerce-cart {
    background: #C3AB89;
    width: 100%;
    border-radius: 5px;
    border: 2px solid #360b0aa6;
    padding: 50px;
    color:#360B0A;
}

.wc-block-cart__submit-container {
    font-size: 18px;
    font-weight: 500 !important;
    border: 1px solid;
    padding: 10px 10px 4px;
    border-radius: 5px;
    background: #ffe1b5;
    border: 1px solid #360b0aa6;
}

.wc-block-cart__submit-container:hover {
    background-color: #ffe1b5a6;
}

table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__quantity .wc-block-cart-item__remove-link {
    font-size:17px !important;
}

html[lang="ar"], html[lang="ar-SA"], body.lang-ar, .lang-ar {
    body, p, a, span, div, li, td, th, input, textarea, select, button, .description, .content, .text, .price, .woocommerce .price, .woocommerce-product-details__short-description, .woocommerce form label, .woocommerce table, .woocommerce-message, .woocommerce-info, .woocommerce-error {
        color:#360B0A;

        }
}

main {
    & .slider {
        & .slider-text {
            & h1 {
                transform: unset !important;
            }
        }
    }
}

.wc-block-components-product-metadata .wc-block-components-product-metadata__description>p {
    font-size:15px; 
}

.wc-block-cart .wc-block-components-sidebar .wc-block-cart__totals-title {
    display: block !important;
    font-size:15px !important;
}